<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$sql = "";


if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}

$resultado = mysqli_query($con,$sql);

$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}

switch ($tipo) {
    case 1:
        $tipo_elemento = 'TRAMO';
        break;
    case 2:
        $tipo_elemento = 'PSINGULAR';
        break;
    case 3:
        $tipo_elemento = 'CAPTACION';
        break;
    case 4:
        $tipo_elemento = 'CONEX_CAPTA';
        break;
    default:
    $tipo_elemento = '';
}


if($id > 0)
{
   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se valida elemento ingresado previamente','VALIDACION DE ELEMENTO','" . $fecha . "','" . $usuario . "','" . $tipo_elemento . "')";
   $resultado = mysqli_query($con,$sql);
}

mysqli_close($con);

$resultado = array(
   'mensaje'=> $sql,
   'id'=>$id,
   'tipo'=>$tipo
   );
echo json_encode($resultado);
?>